* {
    margin: 0;
    padding: 0;
    border: 0;
    font-weight: inherit;
    font-style: inherit;
    outline: none;
    vertical-align: baseline;
    list-style: none;
    font-style: normal;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
}

.f-box {
    display: -webkit-flex;
}

.tc {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .4);
    z-index: 10;
}

.all-a {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    background: none;
}

.a-item {
    position: absolute;
}

.r-item {
    position: relative;
}

.b-item {
    display: block;
}

.xy-center {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.y-center {
    top: 50%;
    transform: translateY(-50%);
}

.x-center {
    left: 50%;
    transform: translateX(-50%);
}

/*提示用户的信息框*/
.tip {
    display: block;
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    bottom: 30px;
    width: 85%;
    text-align: center;
    transition: opacity .5s;
    z-index: 20;
}

.tip i {
    display: inline-block;
    max-width: 90%;
    font-style: normal;
    color: #fff;
    font-size: 14px;
    padding: .25rem 1rem;
    text-align: center;
    border-radius: 4px;
    background: rgba(0, 0, 0, .6);
}

/*加载图标*/
#loading {
    display: none;
    z-index: 11;
    background: rgba(0, 0, 0, 0);
}

#loading .loading-shell {
    border-radius: 4px;
    background: rgba(0, 0, 0, .6);
    padding: 10px;
}

#loading img {
    display: block;
    width: 20px;
    height: 20px;
    margin: 0 auto;
}

#loading p {
    width: 80px;
    margin-top: 10px;
    font-size: 14px;
    color: #fff;
    text-align: center;
}

/*
活动结束的标识
*/
.over {
    display: none;
    background: #f4f4f4;
    color: #333;
    text-align: center;
}

.over img {
    margin: 0 auto;
    margin-bottom: 15px;
}

/**
页面加载时的动画
*/
.page-loading .p1 {
    width: 100vw !important;
    text-align: center;
    color: #333 !important;
}

.page-loading .loading-shell {
    width: 90px;
    margin: 0 auto;
}

.ajax-loading .loading-shell {
    padding: 20px !important;
}

/**
ajax交互反馈成功
*/
#success {
    display: none;
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 50;
    background: none;
}

#success .success-shell {
    padding: 20px 0;
    text-align: center;
    width: 120px;
    color: #fff;
    background: rgba(0, 0, 0, .7);
    font-size: 14px;
    border-radius: 10px;
}

#success img {
    display: block;
    width: 60px;
    height: 60px;
    margin: 0 auto;
    margin-bottom: 10px;
}